<?php

namespace app\api\controller;

use app\common\controller\Api;
use app\common\model\Attachment;
use think\Request;

class Apk extends Api
{
    protected $noNeedLogin = ['*'];
    protected $noNeedRight = ['*'];

    /**
     * 显示资源列表
     *
     * @return \think\Response
     */
    public function index()
    {
        //
    }

    /**
     * 显示创建资源表单页.
     *
     * @return \think\Response
     */
    public function create()
    {
        //
    }

    /**
     * 保存新建的资源
     *
     * @param  \think\Request  $request
     * @return \think\Response
     */
    public function save(Request $request)
    {
        //
    }

    /**
     * 显示指定的资源
     *
     * @param  int  $id
     * @return \think\Response
     */
    public function read($id)
    {
        //
    }

    /**
     * 显示编辑资源表单页.
     *
     * @param  int  $id
     * @return \think\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * 保存更新的资源
     *
     * @param  \think\Request  $request
     * @param  int  $id
     * @return \think\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * 删除指定资源
     *
     * @param  int  $id
     * @return \think\Response
     */
    public function delete($id)
    {
        //
    }

    /**
     * 获取分类为"apk"的最新安装包文件
     *
     * @return \think\Response
     */
    public function latest()
    {
        $attachment = Attachment::where('category', 'apk')
            ->order('createtime', 'desc')
            ->find();

        if (!$attachment) {
            $this->error('暂无安装包');
        }
        $response = [
            'url' => $this->request->domain() . $attachment->url,
            'filename' => $attachment->filename,
            'version' => $attachment->extparam,
        ];

        $this->success('获取成功', $response);
    }

    public function latest_version(){
        $attachment = Attachment::where('category', 'apk')
            ->order('createtime', 'desc')
            ->find();

        if (!$attachment) {
            $this->error('暂无安装包');
        }
        $response = [
            'version' => $attachment->extparam,
        ];

        $this->success('获取成功', $response);
    }
}
